<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <ol id="lista">
        <li>lore ipsum dolo sit amet</li>
        <li>Asperion ad, quamunde. Fuga</li>
    </ol>
    <script>
        var elemento=document.createElement("li"),
            contenido=document.createTextNode("Nuevo Texto");
        elemento.appendChild(contenido);
        //tarabaja bajo las etiquetas li
        var padre=document.getElementsByTagName("li")[0].parentNode,
            primerelemento=document.getElementsByTagName("li")[1];

        //estoy trabajando con los id 
        //var padre=document.getElementById("lista");
        //con appendChild lo agrega a el fina
        //padre.appendChild(elemento);
        //
        padre.insertBefore(elemento,primerelemento);
         
    </script>
</body>
</html>